/*
 * JBoss, the OpenSource EJB server
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.ejb3.test.bank;

import javax.ejb.AroundInvoke;
import javax.ejb.InvocationContext;

import org.jboss.logging.Logger;

/**
 * @author <a href="mailto:kabir.khan@jboss.org">Kabir Khan</a>
 * @version $Revision: 1.1.2.4 $
 */
public class FirstInterceptor {
   
   private static final Logger log = Logger
   .getLogger(FirstInterceptor.class);

   @AroundInvoke
   public Object oneMethod(InvocationContext ctx) throws Exception
   {
      String concat = "";
      if (ctx.getMethod().getName().equals("interceptCustomerId"))
      {
         concat = "_FirstInterceptor";
      }
      Object result = ctx.proceed() + concat;
      return result;
   }
}
